Implement support for libstagefright video decoding on HTC EVO Design Gingerbread Android phone

RESOLVED FIXED in mozilla20

Status

()

Core
Audio/Video
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: cajbir, Assigned: cajbir)

Tracking

Trunk
mozilla20
ARM
Android
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Assignee)

Description

5 years ago
The HTC EVO Design has a version of Gingerbread that is newer than the Android version that the phone runs. The phone is running Android 2.3.4 but requires the libstagefright version from Android 2.3.6+. Similar issues with the HTC Desire Gingerbread device.
(Assignee)

Comment 1

5 years ago
Created attachment 691187 [details] [diff] [review]
Fix

This detects HTC gingerbread phones running 2.3.4+ and uses the 2.3.6+ stagefright library. It requires the color conversion patches from bug 803394 to correctly display video.
Assignee: nobody → chris.double
Status: NEW → ASSIGNED
Attachment #691187 - Flags: review?(cpeterson)
(Assignee)

Updated

5 years ago
Depends on: 803394
Comment on attachment 691187 [details] [diff] [review]
Fix

Review of attachment 691187 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM! The inventiveness of Android fragmentation continues to impress me. :)
Attachment #691187 - Flags: review?(cpeterson) → review+
(Assignee)

Comment 3

5 years ago
https://hg.mozilla.org/integration/mozilla-inbound/rev/c4b354cd4b98

Comment 4

5 years ago
https://hg.mozilla.org/mozilla-central/rev/c4b354cd4b98
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla20
You need to log in before you can comment on or make changes to this bug.